%define orig_name libopensync-plugin-synce
Name: libopensync0-plugin-synce
Version: 0.22
Release: alt0.M41.1

Summary: SynCE plugin for OpenSync
License: GPL
Group: System/Libraries
URL: http://www.opensync.org/
Packager: Mobile Development Team <mobile@packages.altlinux.org>

Source: %orig_name-%version.tar.bz2
Patch0: libopensync-plugin-synce-0.22-warning.patch

Requires: libsynce
Requires: libopensync0 = %version

# Automatically added by buildreq on Thu Oct 16 2008
BuildRequires: gcc-c++ gcc-fortran glib2-devel libmimedir libopensync0-devel librra-devel libxml2-devel

%description
This plugin allows applications using OpenSync to synchronise to and from
Windows CE and PockectPC based devices.

%prep
%setup -q -n %orig_name-%version
%patch0 -p1

%build
%autoreconf
%configure
%make

%install
%makeinstall install DESTDIR=%buildroot
rm -f %buildroot%_libdir/opensync/plugins/*.la

%files
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README
%_libdir/opensync/plugins/*.so
%_datadir/opensync/defaults/*

%changelog
* Mon Oct 20 2008 Andriy Stepanov <stanv@altlinux.ru> 0.22-alt0.M41.1
- M41

* Thu Oct 16 2008 Andriy Stepanov <stanv@altlinux.ru> 0.22-alt2
- Stable version.

* Mon Apr 02 2007 Alexey Shabalin <shaba@altlinux.ru> 0.22-alt1
- 0.22 

* Mon Feb 12 2007 Alexey Shabalin <shaba@altlinux.ru> 0.21-alt1
- 0.21
- cleanup spec(drop cvs)
- drop patch1 (in upstream)

* Wed Nov 08 2006 Alexey Shabalin <shaba@altlinux.ru> 0.20-alt1
- release 0.20

* Wed Oct 25 2006 Alexey Shabalin <shaba@altlinux.ru> 0.19-alt3
- fix build for x86_64

* Tue Oct 03 2006 Alexey Shabalin <shaba@altlinux.ru> 0.19-alt2
- release 0.19

* Thu Sep 21 2006 Alexey Shabalin <shaba@altlinux.ru> 0.19-alt1.cvs20060921
- svn version 20060921

* Tue Jul 18 2006 Alexey Shabalin <shaba@altlinux.ru> 0.05-alt0.2.cvs20060718
- svn version 20060718

* Mon May 29 2006 Alexey Shabalin <shaba@altlinux.ru> 0.05-alt0.2.cvs20060529
- svn version 20060529

* Wed Nov 30 2005 Alexey Shabalin <shaba@altlinux.ru> 0.05-alt0.1.cvs20051014
- build for Sisyphus
- add Packager SynCE Development Team

* Fri Sep 30 2005 Alexey Shabalin <shaba@altlinux.ru> 0.05-alt0.1.cvs20050930
- Initial package
